package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.enums.StudentAttendanceStatusEnum;

/**
 * @Author Joburgess
 * @Date 2019/9/11
 * 上课点名响应
 */
public class StudentAttendanceViewDto {

    @ApiModelProperty(value = "乐团ID",required = false)
    private Long musicGroupId;

    @ApiModelProperty(value = "科目ID",required = false)
    private Long subjectId;

    @ApiModelProperty(value = "班级ID",required = false)
    private Long classGroupId;

    @ApiModelProperty(value = "学生ID",required = false)
    private Long studentId;

    @ApiModelProperty(value = "科目名称",required = false)
    private String subjectName;

    @ApiModelProperty(value = "学生姓名",required = false)
    private String userName;

    @ApiModelProperty(value = "学生在学状态",required = false)
    private StudentAttendanceStatusEnum status;

    public StudentAttendanceStatusEnum getStatus() {
        return status;
    }

    public void setStatus(StudentAttendanceStatusEnum status) {
        this.status = status;
    }

    public Long getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(Long musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public Long getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Long classGroupId) {
        this.classGroupId = classGroupId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
